{% extends 'profile/layouts/admin/admin_layout.html' %}
{% load static %}
{% block css %}

    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/datatables/datatables.min.css' %}">
    <style>
        .img-bagss {
            position: absolute;
            top: 0;
            background-color: rgba(255, 0, 0, 0.8);
            text-align: center;
            font-weight: 500;
            line-height: 16px;
            padding: 5px 10px;
            color: #FFFFFF;
            border-radius: 5px 5px 5px 0;
        }
        .img-bagss .tag-bln { font-size: 15px; }
        .tdx{
            max-width: 200px;
            word-wrap: break-word;
        }
       
    </style>

{% endblock css %}


{% block navbar %}
    {% include 'profile/layouts/admin/navbar.html' %}
{% endblock navbar %}

{% block main %}
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="{% url 'profile:admin_home' %}">Home</a></li>
            <li class="breadcrumb-item active" aria-current="page">Aksesbilitas</li>
        </ol>
    </nav>

    {% if messages %}
        {% for message in messages %}
            <div class="alert {{ message.tags }} my-2" role="alert">
                {{message}}
                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>  
        {% endfor %}
    {% endif %}

    <a href="{% url 'profile:admin_aksesbilitas_create' %}"> 
        <button type="button" class="btn btn-info mt-2 mb-2"><i class="bi bi-plus"></i> Tambah Aksesbilitas</button>
    </a>
    <button class="btn btn-danger pass-data mt-2 mb-2" 
        data-toggle="modal" data-target="#modal-center"><i class="bi bi-search"></i> Lihat Data Arsip
    </button>
  
    <div class="card shadow mb-5">
        <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
            <h6 class="m-0 font-weight-bold text-info"><i class="fa fa-list"></i> Aksesbilitas</h6>
            <div class="dropdown no-arrow">
                <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
                </a>
            </div>
        </div>
        <div class="card-body">
            <div class="row">
                {% for data in aksesbilitas %}
                    <div class="col-md-3 mb-3">
                        <div class="bg-white rounded shadow-sm">
                            {% if data.image != '' %}
                                <center><img src="{{ data.image.url }}" alt="" class="img-fluid card-img-top pt-2 pb-0" style="width: 100px;"></center>
                                {% if data.deleted_at %}
                                    <div class="img-bagss">
                                        <div class="tag-bln">Diarsipkan</div>
                                    </div>
                                {% endif %}
                            {% endif %}
                            <div class="p-2">
                                <p class="m-0 p-0 w-100" 
                                    style="font-size:12px; top:0; text-align:center; left:0; right:0;">{{ data.title }}</p>
                                <div class="d-flex align-items-center justify-content-center px-0 py-2 mt-2">
                                    <!-- <button href="#" class="btn btn-sm btn-info btn-circle pass-data mr-3 mb-2" 
                                        data-tooltip="tooltip" data-placement="top" title="Detail"
                                        data-toggle="modal" data-target="#modal-center-detail"
                                        data-id="{% url 'profile:admin_aksesbilitas_edit' id=data.id %}"
                                        data-created_at="{{ data.created_at }}"
                                        data-image="{{ data.image.url }}">
                                        <i class="bi bi-info"></i>
                                    </button> -->
                                    <a href="{% url 'profile:admin_aksesbilitas_edit' id=data.id %}">
                                        <button class="btn btn-sm btn-success btn-circle pass-data-ubah mr-3 mb-2">
                                            <i class="bi bi-pencil"></i>
                                        </button>
                                    </a>
                                    
                                    {% if data.deleted_at %}
                                        <button class="btn btn-sm btn-success btn-circle mr-3 mb-2" 
                                            onclick="restore_('Aksesbilitas ini', '{{ data.id }}', 'data', 'Aksesbilitas')"
                                            data-toggle="tooltip" data-placement="top" title="Tampilkan">
                                            <i class="bi bi-arrow-counterclockwise"></i>
                                        </button>
                                        {% if user.is_staff%}
                                            <button href="#" class="btn btn-sm btn-danger btn-circle mr-3 mb-2" 
                                                onclick="delete_('permanent_delete', 'Aksesbilitas ini', '{{ data.id }}', 'data', 'Aksesbilitas')"
                                                data-toggle="tooltip" data-placement="top" title="Hapus Permanen">
                                                <i class="bi bi-trash"></i>
                                            </button>
                                        {% endif %}
                                    {% else %}
                                        <button href="#" class="btn btn-sm btn-danger btn-circle mr-3 mb-2" 
                                            onclick="delete_('soft_delete', 'Aksesbilitas ini', '{{ data.id }}', 'data', 'Aksesbilitas')"
                                            data-toggle="tooltip" data-placement="top" title="Arsipkan">
                                            <i class="bi bi-archive"></i>
                                        </button>
                                    {% endif %}
                                </div>
                            </div>
                        </div>
                    </div>
                {% endfor %}
            </div>
        </div>
    </div>

    <div class="modal fade" id="modal-center" tabindex="-1" role="dialog" aria-labelledby="modal-centerTitle" aria-hidden="true">
        <div class="modal-dialog modal-dialog-centered modal-xl" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="m-0 font-weight-bold text-info" id="exampleModalLongTitle">Daftar Data Arsip</h5>
                    <button type="button" class="close text-info" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    {% include 'profile/admin/aksesbilitas/arsip.html'  %}
                </div>
            </div>
        </div>
    </div>
    
    
{% endblock main %}

{% block footer %}
    {% include 'profile/layouts/admin/footer.html' %}
{% endblock footer %}

{% block scripts_bawah %}
    <script src="{% static 'admin/js/datatables/datatables.min.js' %}"></script>
    <script>
        $(document).ready( function () {
            $('[data-tooltip="tooltip"]').tooltip();
            $('#table-list').DataTable();
            $('#table-archive').DataTable();
           
        });
        function restore_(nama, id){
                Swal.fire({
                    title: `Apakah anda yakin ingin memulihkan file ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: 'Pulihkan',
                    cancelButtonText: 'Batal',
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/aksesbilitas/restore/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                    onOpen: () => {
                                        swal.showLoading();
                                    }
                                });
                            },
                            success: function(response){
                                Swal.fire(`Kata Mereka berhasil dipulihkan!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/aksesbilitas/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Kata Mereka gagal dipulihkan!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
            function delete_(action, nama, id){
                let pesan = action == 'soft_delete' ? "arsipkan" : "hapus";
                let confirmation = action == 'soft_delete' ? "Arsipkan" : "Hapus";
                Swal.fire({
                    title: `Apakah kamu yakin ingin meng${pesan} data ${nama}?`,
                    showCancelButton: true,
                    confirmButtonText: confirmation,
                    cancelButtonText: 'Batal',
                    
                    }).then((result) => {
                    if (result.isConfirmed) {
                        $.ajax({
                            url: `/manage_panel/aksesbilitas/${action}/${id}`,
                            data: {},
                            dataType: "html",
                            timeout: 10000,
                            beforeSend: function() {
                                Swal.fire({
                                    title: 'Memproses.........',
                                    allowEscapeKey: false,
                                    allowOutsideClick: false,
                                    showCancelButton: false,
                                    showConfirmButton: false,
                                });
                                Swal.showLoading();
                            },
                            success: function(response){
                                Swal.fire(`Data Diarsipkan berhasil di${pesan}!`, '', 'success');
                                setTimeout(function(){
                                    window.location.href = "/manage_panel/aksesbilitas/";
                                }, 2000); 
                            },
                            error: function (xhr, ajaxOptions, thrownError) {
                                Swal.fire(`Data Diarsipkan gagal di${pesan}!`, '', 'error');
                            }
                        });
                        
                    }
                });
            }
    </script>
{% endblock scripts_bawah %}